public class CartaPokerTester {
    public static final int CARTAS_MANO = 5;
    public static void main(String[] args) {
        CartaPoker[] miMano = new CartaPoker[CARTAS_MANO];
        CartaPoker[] tuMano = new CartaPoker[CARTAS_MANO];
        // Recomendable hacer arrays solo de tipos primitivos
        // y en lugar de arrays de objetos usar collections.
        // Collections las vemos en W03 y W04
        System.out.println("Mi mano:");
        for (int i = 0; i < miMano.length; i++) {
            System.out.println(miMano[i]);
        }
        System.out.println("Mi mano:");
        for (int i = 0; i < miMano.length; i++) {
            miMano[i] = new CartaPoker();
            System.out.println(miMano[i]);
        }
        // Hay que hacer new porque los vectores son de referencias
        // Pueden salir cartas repetidas
        System.out.println("Tu mano:");
        for (CartaPoker c : tuMano) {
            c = new CartaPoker();
            System.out.println(c);
        }
    }
}
